Bug 506942 - c++ qmf console client does not work as expected
c++ qmf console client does not work as expected
Status: CLOSED NOTABUG
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
1.1.1
All Linux
medium Severity high
: 1.1.6
: ---
Assigned To: Ted Ross
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 08:40 EDT by Frantisek Reznicek
Modified: 2015-11-15 19:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-01 09:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qmf_console.cpp client (modified console.cpp) (3.85 KB, text/x-c++src)
2009-06-19 08:40 EDT, Frantisek Reznicek
no flags Details

  None (edit)
Description Frantisek Reznicek 2009-06-19 08:40:38 EDT
Created attachment 348653 [details]
qmf_console.cpp client (modified console.cpp)

Description of problem:

The original (qmf-console/console.cpp) and also modified (attached file) c++ qmf client does not show any exchanges and queues when run against the standalone/clustered broker (on std. port)

This bug was introduced after q*-0.5.752581-12 release, because at the q*-0.5.752581-12 moment it was working well.

Version-Release number of selected component (if applicable):
condor-qmf-plugins-7.2.2-0.9.el5
python-qpid-0.5.752581-3.el5
qmf-0.5.752581-17.el5
qmf-devel-0.5.752581-17.el5
qpidc-0.5.752581-17.el5
qpidc-debuginfo-0.5.752581-17.el5
qpidc-devel-0.5.752581-17.el5
qpidc-perftest-0.5.752581-17.el5
qpidc-rdma-0.5.752581-17.el5
qpidc-ssl-0.5.752581-17.el5
qpidd-0.5.752581-17.el5
qpidd-acl-0.5.752581-17.el5
qpidd-cluster-0.5.752581-17.el5
qpidd-devel-0.5.752581-17.el5
qpid-dotnet-0.4.738274-2.el5
qpidd-rdma-0.5.752581-17.el5
qpidd-ssl-0.5.752581-17.el5
qpidd-xml-0.5.752581-17.el5
qpid-java-client-0.5.751061-7.el5
qpid-java-common-0.5.751061-7.el5
rhm-0.5.3206-1.el5
rhm-docs-0.5.756148-1.el5

How reproducible:
100%

Steps to Reproduce:
1. start broker on std port
2. compile and launch attached qmf client (see Additional info)
3. crosscheck with qpid-config queues ; qpid-config exchanges (see Additional info)
 (if both reports show all queues/exchanges issue is fixed)
  
Actual results:
  No queues and exchanges found, but qpid-config recognize them.

Expected results:
  All exchanges and queues should be listed

Additional info: (./console is from qmf-console/console.cpp)

[freznice@dhcp-lab-200 qpid_ptest_cluster_perftest]$ qpid-config queues
Queue Name                                        Attributes
======================================================================
my-queue                                          --durable
my-queue-B                                        --durable
reply-dhcp-lab-200.englab.brq.redhat.com.25060.1  auto-del excl
topic-dhcp-lab-200.englab.brq.redhat.com.25060.1  auto-del excl
[freznice@dhcp-lab-200 qpid_ptest_cluster_perftest]$ ./console
Creating SessionManager
Adding broker
Package List:
getting exchanges...
   returned 0 elements
getting queues...
   returned 0 elements
2009-jun-19 14:39:50 warning Session was not closed cleanly
[freznice@dhcp-lab-200 qpid_ptest_cluster_perftest]$ ./qmf_console
Exchanges: (0)
Queues: (0)
Brokers: (0)
Comment 1 Frantisek Reznicek 2009-06-19 08:44:15 EDT
One more indication:  message '... warning Session was not closed cleanly'
is observed and was not present with q*-0.5.752581-12 package set.
Comment 2 Ted Ross 2009-07-01 09:45:16 EDT
To make this test program work correctly, use the following patch:

   // alloacate broker on pointer dynamically (based on settings)
   // ------------------------------------------------------------------------
   Broker* broker;
   cout << "add broker" << endl;
   broker = sm.addBroker(settings);

+  while (!broker->isConnected())
+      sleep(1);


The calls to getObjects that occur before the connection is established will return empty lists.

Note You need to log in before you can comment on or make changes to this bug.